## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Build with Compiz session
# * Disable due minimum 'libcompizconfig' >= 0.9.14.0 version
%bcond_with compiz_session

Name:           gnome-flashback
Version:        3.54.0
Release:        %autorelease
Summary:        GNOME Flashback session

License:        GPL-3.0-or-later
URL:            https://wiki.gnome.org/Projects/GnomeFlashback
Source0:        https://download.gnome.org/sources/%{name}/3.54/%{name}-%{version}.tar.xz
Source1:        %{name}.pamd

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext-devel
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  make
BuildRequires:  systemd-rpm-macros

BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.32.2
BuildRequires:  pkgconfig(gdm)
BuildRequires:  pkgconfig(glib-2.0) >= 2.67.3
%ifnarch s390x
BuildRequires:  pkgconfig(gnome-bluetooth-3.0)
%endif
BuildRequires:  pkgconfig(gnome-desktop-3.0) >= 43
BuildRequires:  pkgconfig(gsettings-desktop-schemas) >= 42.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.0
BuildRequires:  pkgconfig(ibus-1.0) >= 1.5.2
BuildRequires:  pkgconfig(libcanberra-gtk3) >= 0.13
BuildRequires:  pkgconfig(libgnome-panel) >= 3.49
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(polkit-agent-1) >= 0.97
BuildRequires:  pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:  pkgconfig(upower-glib) >= 0.99.0
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xi) >= 1.6.0
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xkeyboard-config)
BuildRequires:  pkgconfig(xrandr) >= 1.5.0
BuildRequires:  pkgconfig(xxf86vm) >= 1.1.4
%if %{with compiz_session}
BuildRequires:  pkgconfig(compiz)
BuildRequires:  pkgconfig(libcompizconfig) >= 0.9.14.0
%endif

Requires:       gnome-applets%{?_isa}
Requires:       gnome-keyring%{?_isa}
Requires:       gnome-panel%{?_isa}
Requires:       gnome-session%{?_isa}
Requires:       gnome-settings-daemon%{?_isa}
Requires:       metacity%{?_isa}

Recommends:     alacarte
Recommends:     geoclue2%{?_isa}
Recommends:     nautilus%{?_isa}
Recommends:     network-manager-applet%{?_isa}
Recommends:     gnome-power-manager

%if %{with compiz_session}
Suggests:       compiz%{?_isa}
%endif

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

%description
GNOME Flashback is a session for GNOME 3 which was initially called "GNOME
Fallback", and shipped as a stand-alone session in Debian and Ubuntu. It
provides a similar user experience to the GNOME 2.x series sessions. The
differences to the MATE project is that GNOME Flashback uses GTK+ 3 and tries to
follow the current GNOME development by integrating recent changes of the GNOME
libraries. The development currently lags behind a little but a lot of progress
has been made and most importantly many open bugs have been fixed.


%prep
%autosetup -p1
NOCONFIGURE=1 gnome-autogen.sh


%build
%if %{with compiz_session}
%configure --with-compiz-session
%else
%configure
%endif
%make_build


%install
%make_install
%find_lang %{name}

install -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service


%files -f %{name}.lang
%license COPYING
%doc NEWS README.md
%config %{_sysconfdir}/pam.d/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/desktop-directories/*.directory
%{_datadir}/glib-2.0/schemas/*.gschema.override
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.desktop.enums.xml
%{_datadir}/gnome-control-center/keybindings/50-%{name}-screenshots.xml
%{_datadir}/gnome-panel/layouts/%{name}.layout
%{_datadir}/gnome-session/sessions/%{name}-metacity.session
%{_datadir}/xsessions/%{name}-metacity.desktop
%{_libdir}/gnome-panel/modules/system_indicators.so
%{_libexecdir}/%{name}-clipboard
%{_libexecdir}/%{name}-idle-monitor
%{_libexecdir}/%{name}-media-keys
%{_libexecdir}/%{name}-metacity
%{_libexecdir}/%{name}-polkit
%{_sysconfdir}/xdg/autostart/%{name}-clipboard.desktop
%{_sysconfdir}/xdg/autostart/%{name}-geoclue-demo-agent.desktop
%{_sysconfdir}/xdg/autostart/%{name}-idle-monitor.desktop
%{_sysconfdir}/xdg/autostart/%{name}-media-keys.desktop
%{_sysconfdir}/xdg/autostart/%{name}-nm-applet.desktop
%{_sysconfdir}/xdg/autostart/%{name}-polkit.desktop
%{_sysconfdir}/xdg/menus/%{name}-applications.menu
%{_userunitdir}/*%{name}*

%if %{with compiz_session}
%{_datadir}/gnome-session/sessions/%{name}-compiz.session
%{_datadir}/xsessions/%{name}-compiz.desktop
%{_libexecdir}/%{name}-compiz
%endif


%changelog
## START: Generated by rpmautospec
* Sun Oct 06 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 3.54.0-1
- Update to 3.54.0

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.52.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Mar 27 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 3.52.1-1
- Update to 3.52.1

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.50.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.50.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 08 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 3.50.0-4
- https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval

* Sat Nov 25 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.50.0-3
- Rebuild due rh#2251474

* Sat Sep 23 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.50.0-2
- license: Convert to SPDX

* Sat Sep 23 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.50.0-1
- chore: Update to 3.50.0 (rh#2240326)

* Wed Sep 20 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.49.1-3
- build: Rebuild upon new gnome-panel

* Sat Sep 02 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.49.1-2
- build: Remove manual removing of .la files, see:
  https://fedoraproject.org/wiki/Changes/RemoveLaFiles

* Sat Sep 02 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.49.1-1
- build: Update to 3.49.1       (rh#2231586)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.46.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 11 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 3.46.0-3
- Drop gnome-bluetooth dependency on s390x

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.46.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 03 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.46.0-1
- chore(update): 3.46.0

* Mon Aug 15 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.45.1-1
- chore(update): 3.45.1

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.44.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Mar 19 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.44.0-1
- chore(update): 3.44.0

* Sat Mar 12 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.43.1-1
- chore(update): 3.43.1

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.42.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 23 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.42.1-1
- chore(update): 3.42.1

* Tue Nov 23 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.42.0-2
- fix: Apply upstream patch addressed to rhbz#2023001

* Tue Nov 02 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.42.0-1
- chore(update): 3.42.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.40.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.40.0-1
- build(update): 3.40.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.38.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Oct 14 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.38.0-1
- build(update): 3.38.0

* Sat Aug 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.37.3-1
- Update to 3.37.3

* Sat Aug 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.36.4-1
- Update to 3.36.4

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.36.3-7
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.36.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.36.3-5
- Rebuilt | https://pagure.io/koji/issue/2286

* Wed May 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.36.3-4
- Add weak dep: alacarte

* Tue May 26 2020 Yaakov Selkowitz <yselkowi@redhat.com> - 3.36.3-3
- Add PAM file | Fix RH#1840146

* Sun May 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.36.3-2
- Disable LTO

* Sat May 09 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.36.3-1
- Update to 3.36.3

* Tue Apr 07 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.36.1-1
- Update to 3.36.1

* Fri Mar 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.36.0-2
- Backport upstream patch for memory leak fix | gnome-panel#21

* Thu Mar 26 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.36.0-1
- Update to 3.36.0

* Sun Feb 23 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.34.2-4
- Spec file improvements
- Drop obsolete macroses
- Enable LTO

* Thu Dec 26 2019 Yaakov Selkowitz <yselkowi@redhat.com> - 3.34.2-1
- new version

* Sun May 05 2019 Yaakov Selkowitz <yselkowi@redhat.com> - 3.32.0-1
- new version

* Mon Nov 12 2018 Yaakov Selkowitz <yselkowi@redhat.com> - 3.30.0-1
- new version

* Mon Mar 26 2018 Yaakov Selkowitz <yselkowi@redhat.com> - 3.28.0-1
- new version

* Mon Nov 13 2017 Yaakov Selkowitz <yselkowi@redhat.com> - 3.26.0-1
- new version

* Tue Mar 28 2017 Yaakov Selkowitz <yselkowi@redhat.com> - 3.24.0-1
- new version

* Sun Mar 26 2017 Yaakov Selkowitz <yselkowi@redhat.com> - 3.22.1-1
- new version

* Thu Oct 06 2016 Yaakov Selkowitz <yselkowi@redhat.com> - 3.22.0-1
- new version

* Mon Sep 12 2016 Yaakov Selkowitz <yselkowi@redhat.com> - 3.20.2-1
- new version

* Wed May 18 2016 Yaakov Selkowitz <yselkowi@redhat.com> - 3.20.1-1
- new version

* Thu Apr 14 2016 Yaakov Selkowitz <yselkowi@redhat.com> - 3.20.0-1
- new version for GNOME Flashback 3.20.

* Thu Oct 15 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.18.1-1
- Update to 3.18.1

* Fri Oct 02 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.18.0-1
- Update for GNOME Flashback 3.18.

* Mon Aug 24 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.17.2-2
- Fix crash in display-config (BGO#753927)

* Wed Jul 15 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.17.2-1
- Unstable version bump

* Wed Jul 15 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.16.1-3
- Add polkit-gnome autostart

* Wed Jul 15 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.16.1-2
- Add upstream fix for BGO#738562

* Wed Jul 15 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.16.1-1
- Update for GNOME 3.16.

* Fri Feb 27 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.14.0-4
- Fix for BGO#738562

* Mon Feb 23 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.14.0-3
- Requires: gnome-screensaver

* Tue Feb 10 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.14.0-2
- Fix deps

* Mon Feb 02 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.14.0-1
- Update for GNOME 3.14.

* Mon Jan 12 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 3.10.0-1
- Initial release.

## END: Generated by rpmautospec
